MarketplaceSellers
Replace seller commissions
Replaces all of the seller's commissions and returns the current ones.
Path Parameters
sellerId*string
Identifier of the seller.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/sellers/7204558912004323447/commissions" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "commissions": [ { "target": "category", "categoryId": "7204558912004327982", "brandId": "7204558912004322959", "includeChildrenCategories": false, "productCommissionPercent": 10, "freightCommissionPercent": 10, "fixedFee": 1, "isActive": true } ] }'[ { "id": "7204558912004323447", "target": "category", "includeChildrenCategories": false, "productCommissionPercent": 10, "isActive": true, "createdOn": "2026-09-28T15:30:00Z", "categoryId": "7204558912004327982", "brandId": "7204558912004322959" }]